# $Revision: 1.9 $, $Date: 2004/07/24 12:23:01 $
#
# Conditional build:
%bcond_without	xmms	# disable xmms-skin
#
%define		_decoration 	nvidia
#
Summary:	Kwin decoration - %{_decoration}
Summary(pl):	Dekoracja kwin - %{_decoration}
Name:		kde-decoration-%{_decoration}
Version:	1.0b
Release:	1
License:	LGPL
Group:		Themes
Source0:	%{_decoration}-%{version}-3.2.0.tar.bz2
# Source0-md5:	556a523933a1094ffa971d928551fd1b
Patch0:		%{_decoration}-unsermake.patch
URL:		http://www.kde-look.org/content/show.php?content=12330
BuildRequires:	autoconf
BuildRequires:	unsermake
BuildRequires:	automake
BuildRequires:	kdebase-devel >= 9:3.2.0
BuildRequires:	kdebase-desktop-libs >= 9:3.2.0
Requires:	kdebase-desktop-libs >= 9:3.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A clone of the nvidia Windows XP decoration. It features concave
window title alongside with rounded window corners.

%description -l pl
Klon dekoracji nvidia z Windows XP. Oferuje midzy innymi wklse pole
z tytuem okna oraz zaokrglone brzegi okna.

%package -n xmms-skin-%{_decoration}
Summary:	An xmms skin %{_decoration} theme
Summary(pl):	Skrka dla XMMS-a z motywu %{_decoration}
Group:		Themes
Requires:	xmms

# These could use better usability but i have no xmms.
%description -n xmms-skin-%{_decoration}
An xmms skin %{_decoration} theme.

%description -n xmms-skin-%{_decoration} -l pl
Skrka dla XMMS-a z motywu %{_decoration}.

%package -n kde-colorscheme-%{_decoration}
Summary:	Color scheme for KDE style - %{_decoration}
Summary(pl):	Schemat kolorw do stylu KDE - %{_decoration}
Group:		Themes
Requires:	kdebase-core

%description -n kde-colorscheme-%{_decoration}
A grey colorscheme with lime link and selection background.

%description -n kde-colorscheme-%{_decoration} -l pl
Szary schemat kolorw z odnonikami i tem zaznaczenia w kolorze
limonki.

%prep
%setup -q -n %{_decoration}-%{version}-3.2.0
%patch0 -p1

%build
cp -f %{_datadir}/automake/config.sub admin
export UNSERMAKE=%{_datadir}/unsermake/unsermake
%{__make} -f Makefile.cvs

%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir="%{_kdedocdir}"

install -d $RPM_BUILD_ROOT%{_datadir}/apps/kdisplay/color-schemes
install other/nvidia.kcsrc $RPM_BUILD_ROOT%{_datadir}/apps/kdisplay/color-schemes

%if %{with xmms}
install -d $RPM_BUILD_ROOT%{xmms_datadir}/Skins
install other/SoftshapeAmp_Release_II_Color_1.wsz $RPM_BUILD_ROOT%{xmms_datadir}/Skins
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/kde3/kwin*.la
%attr(755,root,root) %{_libdir}/kde3/kwin*.so
%{_datadir}/apps/kwin/*.desktop

%if %{with xmms}
%files -n xmms-skin-%{_decoration}
%defattr(644,root,root,755)
%{xmms_datadir}/Skins/*
%endif

%files -n kde-colorscheme-%{_decoration}
%defattr(644,root,root,755)
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-decoration-nvidia.spec,v $
Revision 1.9  2004/07/24 12:23:01  pluto
- updated to 1.0b.

Revision 1.8  2004/06/12 10:43:29  pluto
- BR: fixed (for kdedecoration*.h).

Revision 1.7  2004/05/24 20:34:57  djurban
- build with unsermake (use proper spacing with unsermake.patch)
- fixed BR, usability fixes in descriptions (didnt fix xmms desc,
  dont know how the theme looks like)
- htmldir moved to make install
- rel. 3, bcond with kde added to allow using the kde logo
  instead of the original nvidia one

Revision 1.6  2004/05/24 16:13:46  qboosh
- release 2

Revision 1.5  2004/05/24 16:13:24  qboosh
- fixed build on amd64
- fixed BRs (added automake,kdelibs-devel, removed unused or redundant)

Revision 1.4  2004/05/24 10:35:36  djurban
- shadzik has extreme ideas, uncommented make isntall

Revision 1.3  2004/05/24 08:13:33  adamg
- fixes from shadzik (<shadzik @ atwa.us>)

Revision 1.2  2004/05/14 21:57:13  qboosh
- no incomplete descs

Revision 1.1  2004/05/14 18:55:58  djurban
- http://www.kde-look.org/content/pre1/12330-1.jpg
